unit ERMA_IO_32BIT;
{####################################################################
 ###  Diese Unit stellt die Funktionen der 32-Bit-Version der     ###
 ###  ERMA-IO-DLL zur Verfgung. Somit wird die DLL dadurch       ###
 ###  in die Anwendung eingebunden, da in der USES-Anweisung     ###
 ###  ERMA_IO_32BIT angegeben wird.                               ###
 ####################################################################}

interface
function ReadBytePort(Adresse: Word): Word; stdcall;
function ReadWordPort(Adresse: Word): Word; stdcall;
function WriteBytePort(Adresse: Word; Daten: Word): Word; stdcall;
function WriteWordPort(Adresse: Word; Daten: Word): Word; stdcall;

implementation
function ReadBytePort(Adresse: Word): Word; stdcall; external 'ERMA_IO_32BIT.DLL';
function ReadWordPort(Adresse: Word): Word; stdcall; external 'ERMA_IO_32BIT.DLL';
function WriteBytePort(Adresse: Word; Daten: Word): Word; stdcall; external 'ERMA_IO_32BIT.DLL';
function WriteWordPort(Adresse: Word; Daten: Word): Word; stdcall; external 'ERMA_IO_32BIT.DLL';

end.
